Jenkins build failure on gtest "undefined reference to symbol 'pthread_key_delete@@GLIBC_2.2.5'"

Bug #1126362 reported by Allan LeSage on 2013-02-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Indicator Date and Time
Fix Released
Critical
Mathieu Trudel-Lapierre
Session Menu
Fix Released
Critical
Mathieu Trudel-Lapierre
indicator-power
Fix Released
Critical
Mathieu Trudel-Lapierre
indicator-datetime (Ubuntu)
Undecided
Unassigned
indicator-power (Ubuntu)
Undecided
Unassigned
indicator-session (Ubuntu)
Undecided
Unassigned

Bug Description

New Jenkins build failure:

make[4]: Entering directory `/tmp/buildd/indicator-session-12.10.5daily13.01.25/tests'
  CXX test_service-test-service.o
  CXX gtest-all.o
  CXX gtest_main.o
  AR libgtest.a
  CXXLD test-service
/usr/bin/ld: libgtest.a(gtest-all.o): undefined reference to symbol 'pthread_key_delete@@GLIBC_2.2.5'
/usr/bin/ld: note: 'pthread_key_delete@@GLIBC_2.2.5' is defined in DSO /lib/x86_64-linux-gnu/libpthread.so.0 so try adding it to the linker command line
/lib/x86_64-linux-gnu/libpthread.so.0: could not read symbols: Invalid operation
collect2: error: ld returned 1 exit status
make[4]: *** [test-service] Error 1

Interestingly it appears to affect only amd64 and armhf. Will attach a full log. Upping the importance as this will block new merges.

Related branches

Allan LeSage (allanlesage) wrote :
Changed in indicator-session:
importance: Undecided → Critical
Allan LeSage (allanlesage) wrote :
Changed in indicator-power:
importance: Undecided → Critical
Allan LeSage (allanlesage) wrote :
Changed in indicator-datetime:
status: New → In Progress
Changed in indicator-session:
status: New → In Progress
Changed in indicator-power:
status: New → In Progress
Changed in indicator-datetime:
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in indicator-session:
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in indicator-power:
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-session at revision 384, scheduled for release in indicator-session, milestone 13.04.0

Changed in indicator-session:
status: In Progress → Fix Committed
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-datetime at revision 208, scheduled for release in indicator-datetime, milestone 13.04.0

Changed in indicator-datetime:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-datetime - 12.10.3daily13.03.06-0ubuntu1

---------------
indicator-datetime (12.10.3daily13.03.06-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * Jenkins build failure on gtest "undefined reference to symbol
    'pthread_key_delete@@GLIBC_2.2.5'" (LP: #1126362)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 208
 -- Automatic PS uploader <email address hidden> Wed, 06 Mar 2013 02:01:48 +0000

Changed in indicator-datetime (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-session - 12.10.5daily13.03.06-0ubuntu1

---------------
indicator-session (12.10.5daily13.03.06-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * Jenkins build failure on gtest "undefined reference to symbol
    'pthread_key_delete@@GLIBC_2.2.5'" (LP: #1126362)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 384
 -- Automatic PS uploader <email address hidden> Wed, 06 Mar 2013 02:02:00 +0000

Changed in indicator-session (Ubuntu):
status: New → Fix Released
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:indicator-power at revision 166, scheduled for release in indicator-power, milestone 13.04.0

Changed in indicator-power:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-power - 12.10.6daily13.03.07-0ubuntu1

---------------
indicator-power (12.10.6daily13.03.07-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * Jenkins build failure on gtest "undefined reference to symbol
    'pthread_key_delete@@GLIBC_2.2.5'" (LP: #1126362)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 166
 -- Automatic PS uploader <email address hidden> Thu, 07 Mar 2013 02:01:57 +0000

Changed in indicator-power (Ubuntu):
status: New → Fix Released

This was released on raring, marking as Fix Released.

Changed in indicator-datetime:
status: Fix Committed → Fix Released
Changed in indicator-session:
status: Fix Committed → Fix Released
Changed in indicator-power:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers